EDIT - feature request #6041

Change the label of "Set as basionym of homotypical group™
08/22/2016 10:39 AM - Katja Luther

Status: In Progress Start date:

Priority: Priority13 Due date:

Assignee: Andreas Muller % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

Hallo,

wir waren bei friherer Gelegenheit schon einmal Gbereingekommen, dass dieser Kontext-Menu-Befehl in all den Fallen inkorrekt
formuliert ist, in denen in einem homotypischen Block replacement names vorkommen. Denn das Basionym ist der legitime Name,
an dem der Typus hangt und der gleichzeitig das Epitheton stiftet.

Eine L&sung des Problems ist auf terminologischer Ebene mdglich, indem die Typus liefernde Funktion des altesten Namens von
der Epitheton liefernden getrennt wird:

Von "Set/Remove as basionym for homotypic group" kann der Befehl umbenannt werden in: "Set/Remove as type-providing
[deutsche Ubersetzung: "Typus liefernden"] name for homotypic group".

Ich habe das Problem und diese Lésung mit Nick Turland besprochen und er hat sie fir gut befunden.

Beste Grife,
Norbert

Hallo,

mir ist das ehrlichgesagt noch nicht so klar. Semantisch besteht ja ein klarer Unterschied. Die jetzige Funktion ist ein Shortcut, der
Basionymbeziehungen zwischen einigen Namen erzeugt wahrend ,Typus liefernder Name* ja eher eine Eigenschaft ist, die sich auf
die Beziehung des Namens auf die ganze Gruppe bezieht. Bei der derzeitigen Implementierung mag sich das wie das gleiche
Anflihlen, da sie eben sehr vereinfacht ist, datentechnisch und semantisch ist es aber was ziemlich anderes.

Ich hatte vor nicht allzu langer Zeit mal angefragt, ob die derzeitige Implementierung eigentlich ausreichend sei, da komplexere
Sachverhalte damit ja nicht abgedeckt wiirden. Zu meinem Erstaunen schien damals kein gréBerer Bedarf an einer Anderung zu
existieren. Begriindung wenn ich mich recht entsinne: fir die gréBere Menge der einfachen Falle ist es hilfreich. Die komplexen Falle
muss man dann manuell eingeben (oder man hat nicht den Anspruch, sie darzustellen). Ist es diese Diskussion, auf die du dich
beziehst, Norbert?

Eine reine Umbenennung des Befehls ist aus 0.g. Grund nicht méglich.
Wir missten diskutieren, ob wir ,is type providing name for* als Namensbeziehung etablieren wollen (wobei ich mir nicht sicher bin,
ob das so stimmt), oder ob wir der homotypischen Gruppe als Ganzes ein neues Attribut hinzufligen wollen, wobei man dann klaren
muss, ob es wirklich IMMER nur einen solchen Namen pro Gruppe gibt.

Ist denn der Begriff ,type providing name*” gangig bzw. vom Code/den Codes abgedeckt und versteht jeder das gleiche darunter?
Wichtig wére v.a. auch zu klaren, wozu wir die jeweils unterschiedlichen Informationen (Basionymbeziehung, Replaced Synonym
Beziehung, Typus lieferender Name, etc.) wirklich brauchen, und welche Information davon 1) in Publikationen irgendwie visualisiert
werden soll und welche 2) im Editor leicht eingebbar sein soll.
Denn das Basionym ist der legitime Name, an dem der Typus hangt und der gleichzeitig das Epitheton stiftet.
Das scheint mir nicht ganz korrekt zu sein, da es in komplexeren Féllen ja auch mehrere Basionyme innerhalb einer
Homotypischen Gruppe geben kann. Es stimmt also nur fir den altesten legitimen Namen (der nicht mal ein Basionym sein
muss).

Das scheint mir ein Thema fur ein Usermeeting zu sein?

Viele Grif3e,
Andreas M.

Hallo,

die jetzige Shortcut-Funktion erzeugt eine Basionymbeziehung zwischen einem und allen(!) anderen Namen einer homotypischen
Gruppe und ihre Bedeutung besteht darin, dass sie festlegt, welcher Name (a) den Typus fir die homotypischen Gruppe und (b) das
Epitheton liefert. Letzteres ist auch schon aus den Taxonnamen mit Autoren selbst ersichtlich, deshalb eigentlich der weniger
wichtige Teil der Funktion. Ersteres ist absolut wesentlich, da die homotypische Gruppe ja genau dadurch definiert ist, dass sich alle
Namen in ihr letztlich auf einen einzigen und dessen Typus beziehen, also dessen und zueinander homotypische Synonyme sind.
Da Ersteres immer, Letzteres aber wg. der replacement names nur eingeschrankt fir die Namen einer homotypischen Gruppe gilt,
zielt mein Vorschlag nur darauf ab, Ersteres ohne die in vielen Féllen unzutreffende Verallgemeinerung des Letzteren zu erhalten.
Deshalb sehe ich nicht, worin der klare semantische Unterschied bestehen soll.

Wie gesagt, habe ich Sachverhalt und Begriff "type providing name" mit Nick Turland aus dem engsten Kreis der Editoren des Codes
besprochen. Den Begriff "type providing name" gibt es nicht als expliziten Terminus im Code. Mit dem Begriff "homotypisches
Synonym" gibt es zwar einen allgemeinen Begriff fiir alle Namen, die sich auf denselben Typus liefernden Namen beziehen, fir die
hier benétigte komplementére Beziehung fehlt aber ein (Basionyme und replaced synonyme umfassenden) Uberbegriff. "Type
providing name" ist selbsterkldrend und die Wendung "a name / taxon x provides the type of a name y" als solche ist sehr wohl im
Gebrauch bei Taxonomen die nomenklatorisch korrekt formulieren.

Als Du letztens anfragtest, ob die gegenwartige Implementierung ausreicht, war uns wohl bewusst, dass die sehr praktische
Basionymbeziehungs-Funktion wie implementiert wegen der replacement names eigentlich nicht ganz korrekt ist. Wir wollten aber
weder auf diese wichtige Funktion verzichten, noch das Ganze unnétig komplizieren. Nur deshalb haben wir eine Lésung vertagt und
keinen Handlungsbedarf angemeldet.

Die Bezeichnung von Basionymbeziehungen muss damit ja nicht wegfallen, sondern lieBe sich, etwas mihseliger eben, direkt tber
die Name relations eingeben, vielleicht lasst sich auch eine Short-cut-Funktion konstruieren, die vorher ausgewéahlte Namen einer
homotypischen Gruppe einem Basionym zuordnet ....

Beste Grife,

Norbert

Subtasks:

bug # 6136: Implement type providing name in homotypical group New
feature request # 6187: [DISCUSS] Ask W.Greuter about "type providing name" New
feature request # 6188: Make "Set as basionym of homotypical group" an optional function New

Associated revisions

Revision cb08d659 - 08/22/2016 10:44 AM - Katja Luther
fix #6041

Revision 6e572e21 - 09/15/2016 08:49 AM - Katja Luther

ref #6041: revert the changes and wait for the decision of the user meeting

History

#1 - 08/22/2016 10:39 AM - Katja Luther

- Tracker changed from bug to feature request

#2 - 08/22/2016 11:04 AM - Katja Luther

- Status changed from New to Resolved

#3 - 08/22/2016 01:21 PM - Katja Luther
- % Done changed from 0 to 50

Applied in changeset edit-svn|r28863.

#4 - 08/22/2016 01:26 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#5 - 09/02/2016 11:42 PM - Andreas Miiller
- Description updated

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther
- Priority changed from New to Highest

- Target version set to Release 4.3
| am not convinced yet that this is correct. Therefore | think we need to discuss this during the next user meeting.

#6 - 09/02/2016 11:48 PM - Andreas Miller
- Parent task set to #5595

#7 - 09/20/2016 10:24 AM - Katja Luther

This needs to be discussed in User Meeting, move it to Release 4.4 and decide then if we change it or not.

#8 - 09/20/2016 10:25 AM - Katja Luther

- Target version changed from Release 4.3 to Release 4.4

#9 - 09/20/2016 02:00 PM - Andreas Miiller

But first revert the already existing changes!!!
#10 - 09/20/2016 02:23 PM - Katja Luther
Andreas Muller wrote:

But first revert the already existing changes!!!

It is already reverted see Revision 6e572e21
#11 - 09/20/2016 02:26 PM - Andreas Miiller
Katja Luther wrote:

Andreas Miiller wrote:

But first revert the already existing changes!!!
It is already reverted see Revision 6e572e21

Ahh, yes, sorry | had overseen this change

#12 - 09/29/2016 04:30 PM - Andreas Miiller

- Assignee changed from Katja Luther to Andreas Mdiller

Conclusion of the discussion:

e The current functionality can not simply be relabeled

The current functionality might become an optional function that is switched off by default (not finally decided)
Required model change: Homotypic groups do get a new attribute "type providing name"

A new function is created "Set/Remove as type-providing name for homotypic group

Ask W. Greuter if this is correct

L]
L ]
L]
L]
#13 - 10/19/2016 08:44 PM - Andreas Miiller

- Blocked by bug #6136: Implement type providing name in homotypical group added

#14 - 11/08/2016 02:46 PM - Andreas Miiller

- Target version changed from Release 4.4 to Unassigned CDM tickets

#15 - 11/08/2016 02:47 PM - Andreas Miiller

Set back to unassigned CDM tickets as first child tickets have to be resolved.
#16 - 11/08/2016 03:07 PM - Andreas Miiller

- Status changed from Feedback to In Progress

03/20/2024 4/4


http://www.tcpdf.org

